#ifndef TIMER_H_INCLUDED
#define TIMER_H_INCLUDED

#include "settings.h"

class Timer
{
private:
   char *mName;
   long  mSecs;
   long  mMSecs;

   static void getCurrentTime(long *pSecs, long *pMSecs);

public:
   Timer(void);
   Timer(char *pName);
   ~Timer(void);

   void startTimer(void);
   void startTimer(char *pName);
   void stopTimer(void);
   bool isRunning(void);

   static char *getTimeStamp(void);

#ifdef TOOLKIT_SELFTEST
   static RetCode selfTest(void);
#endif
};

#endif  // TIMER_H_INCLUDED