//////////////////////////////////////////////////////////////////////////////////////////////
//
//  Mainly designed and written by Andr Slabber. No Rights Reserved...  Parts by others...
//
//////////////////////////////////////////////////////////////////////////////////////////////
//
//  File:         tools.h
//  Module:       Diary
//  Author:       Andr Slabber
//
//////////////////////////////////////////////////////////////////////////////////////////////
//
//  Description:  Declaration of Class STools.
//
//////////////////////////////////////////////////////////////////////////////////////////////
#ifndef TOOLS_H_INCLUDED
#define TOOLS_H_INCLUDED

//////////////////////////////////////////////////////////////////////////////////////////////
//
//  Class STools
//
//////////////////////////////////////////////////////////////////////////////////////////////
//
//  Description:  STools is meant to contain only static methods, that perform various 
//                tasks required throughout Diary. It is sort of a toolkit. 
//
//////////////////////////////////////////////////////////////////////////////////////////////
//
//	Date		Name                  Comments
//	20080921	Andr Slabber         Created
//
//////////////////////////////////////////////////////////////////////////////////////////////
class STools
{
public:
   static bool isDigit(char pChar);
   static bool isWhiteSpace(char pChar);
   static void EatWhite(char *&pChars);

   static bool ReadWebFile(CString &theURL, 
	                       CString &theFileContents);
   static bool ReadBinaryWebFile(CString &theURL, 
			                     CString &theFileSpec,
							     const char *theMessage, 
							     CStatic *theStatic);

};

#endif
